mia-3dforce
Prev | Registration, Comparison, and Transformation of 3D images | Next

### mia-3dforce

#### Sysnopis:

`mia-3dforce` {-i `io`} {-r `io`} {-o `io`} [ `options` ...]

#### Description:

This program is used to create an image comprising the pixel-wise norm of the ggradient of a given cost function.

#### Options:

-i, --src-file=(input, required); io

  input image. For supported file types see Plugin type: 3dimage/io

-r, --ref-file=(input, required); io

  output force norm image. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  reference image. For supported file types see Plugin type: 3dimage/io

-c, --cost=ssd; factory

  cost function to use. For supported plug-ins see Plugin type: 3dimage/cost

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the weigtes sum of SSD between src.v and ref.v and store the result in forcenorm.v.

    mia-3dforce -i src.v -r ref.v -c ssd -o forcenorm.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dfluid-syn-registration | Home | mia-3dlandmarks-distances